Package org.apache.tomcat.util.descriptor

## Class XmlErrorHandler

- java.lang.Object
- - org.apache.tomcat.util.descriptor.XmlErrorHandler

All Implemented Interfaces:
  `org.xml.sax.ErrorHandler`

    public class XmlErrorHandler
    extends java.lang.Object
    implements org.xml.sax.ErrorHandler

### Constructor Summary

Constructors
`XmlErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error​(org.xml.sax.SAXParseException exception)`
`void` `fatalError​(org.xml.sax.SAXParseException exception)`
`java.util.List<org.xml.sax.SAXParseException>` `getErrors()`
`java.util.List<org.xml.sax.SAXParseException>` `getWarnings()`
`void` `logFindings​(Log log, java.lang.String source)`
`void` `warning​(org.xml.sax.SAXParseException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlErrorHandler

    public XmlErrorHandler()

### Method Detail

#### error

    public void error​(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Throws:
  `org.xml.sax.SAXException`

#### fatalError

    public void fatalError​(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Throws:
  `org.xml.sax.SAXException`

#### warning

    public void warning​(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Throws:
  `org.xml.sax.SAXException`

#### getErrors

    public java.util.List<org.xml.sax.SAXParseException> getErrors()

#### getWarnings

    public java.util.List<org.xml.sax.SAXParseException> getWarnings()

#### logFindings

    public void logFindings​(Log log,
                            java.lang.String source)